# SoMFVec4f Class Reference
[Field classes]

`#include <Inventor/fields/SoMFVec4f.h>`

Inheritance diagram for SoMFVec4f:

List of all members.

## Detailed Description

The SoMFVec4f class is a container for SbVec4f vectors.

This field is used where nodes, engines or other field containers needs to store an array of vectors with four elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFVec4f

## Public Member Functions

void | setValues (const int start, const int num, const float xyzw[][4])
void | set1Value (const int idx, const float x, const float y, const float z, const float w)
void | set1Value (const int idx, const float xyzw[4])
void | setValue (const float x, const float y, const float z, const float w)
void | setValue (const float xyzw[4])

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFVec4f::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFVec4f::setValues | ( | const int | start,
|  | const int | num,
|  | const float | xyzw[][4]
| ) |

| Set num vector array elements from xyzw, starting at index start.

void SoMFVec4f::set1Value | ( | const int | idx,
|  | const float | x,
|  | const float | y,
|  | const float | z,
|  | const float | w
| ) |

| Set the vector at idx.

void SoMFVec4f::set1Value | ( | const int | idx,
|  | const float | xyzw[4]
| ) |

| Set the vector at idx.

void SoMFVec4f::setValue | ( | const float | x,
|  | const float | y,
|  | const float | z,
|  | const float | w
| ) |

| Set this field to contain a single vector with the given element values.

void SoMFVec4f::setValue | ( | const float | xyzw[4] | ) |

| Set this field to contain a single vector with the given element values.

The documentation for this class was generated from the following files:

- SoMFVec4f.h
- SoMFVec4f.cpp